Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkWindowLevelLookupTable Class Reference

`#include <vtkWindowLevelLookupTable.h>`

Inheritance diagram for vtkWindowLevelLookupTable:

[legend]
Collaboration diagram for vtkWindowLevelLookupTable:

[legend]
List of all members.

## Detailed Description

map scalar values into colors or colors to scalars; generate color table

Date:
  2003/01/06 20:36:14

Revision:
  1.32

vtkWindowLevelLookupTable is an object that is used by mapper objects to map scalar values into rgba (red-green-blue-alpha transparency) color specification, or rgba into scalar values. The color table can be created by direct insertion of color values, or by specifying a window and level. Window / Level is used in medical imaging to specify a linear greyscale ramp. The Level is the center of the ramp. The Window is the width of the ramp.

Warning:
  vtkWindowLevelLookupTable is a reference counted object. Therefore, you should always use operator "new" to construct new objects. This procedure will avoid memory problems (see text).

See also:
  vtkLogLookupTable

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (46%)
  - Gobbi, David (36%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkWindowLevelLookupTable.cxx)`
  - .`h` (`/Common/vtkWindowLevelLookupTable.h)`

Definition at line 55 of file vtkWindowLevelLookupTable.h.

## Public Types
typedef vtkLookupTable | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | Build ()
void | SetWindow (float window)
virtual float | GetWindow ()
void | SetLevel (float level)
virtual float | GetLevel ()
void | SetInverseVideo (int iv)
virtual int | GetInverseVideo ()
virtual void | InverseVideoOn ()
virtual void | InverseVideoOff ()
virtual void | SetMinimumTableValue (float, float, float, float)
virtual void | SetMinimumTableValue (float[4])
virtual float * | GetMinimumTableValue ()
virtual void | GetMinimumTableValue (float &, float &, float &, float &)
virtual void | GetMinimumTableValue (float[4])
virtual void | SetMaximumTableValue (float, float, float, float)
virtual void | SetMaximumTableValue (float[4])
virtual float * | GetMaximumTableValue ()
virtual void | GetMaximumTableValue (float &, float &, float &, float &)
virtual void | GetMaximumTableValue (float[4])
void | SetMinimumColor (int r, int g, int b, int a)
void | SetMinimumColor (const unsigned char rgba[4])
void | GetMinimumColor (unsigned char rgba[4])
unsigned char * | GetMinimumColor ()
void | SetMaximumColor (int r, int g, int b, int a)
void | SetMaximumColor (const unsigned char rgba[4])
void | GetMaximumColor (unsigned char rgba[4])
unsigned char * | GetMaximumColor ()
## Static Public Methods
vtkWindowLevelLookupTable * | New ()
int | IsTypeOf (const char *type)
vtkWindowLevelLookupTable * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkWindowLevelLookupTable (int sze=256, int ext=256)
| ~vtkWindowLevelLookupTable ()
## Protected Attributes
float | Window
float | Level
int | InverseVideo
float | MaximumTableValue [4]
float | MinimumTableValue [4]
unsigned char | MinimumColor [4]
unsigned char | MaximumColor [4]

## Member Typedef Documentation

typedef vtkLookupTable vtkWindowLevelLookupTable::Superclass

| Reimplemented from vtkLookupTable. Definition at line 59 of file vtkWindowLevelLookupTable.h.

## Constructor & Destructor Documentation

vtkWindowLevelLookupTable::vtkWindowLevelLookupTable | ( | int | sze = 256,
|  | int | ext = 256
| ) | `[protected]`

vtkWindowLevelLookupTable::~vtkWindowLevelLookupTable | ( |  | ) | `[inline, protected]`

| Definition at line 147 of file vtkWindowLevelLookupTable.h.

## Member Function Documentation

vtkWindowLevelLookupTable* vtkWindowLevelLookupTable::New | ( |  | ) | `[static]`

| Construct with range=[0,1]; and hsv ranges set up for rainbow color table (from red to blue). Reimplemented from vtkLookupTable.

virtual const char* vtkWindowLevelLookupTable::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkLookupTable.

int vtkWindowLevelLookupTable::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkLookupTable.

virtual int vtkWindowLevelLookupTable::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkLookupTable.

vtkWindowLevelLookupTable* vtkWindowLevelLookupTable::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkLookupTable.

void vtkWindowLevelLookupTable::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkLookupTable.

void vtkWindowLevelLookupTable::Build | ( |  | ) | `[virtual]`

| Generate lookup table as a linear ramp between MinimumTableValue and MaximumTableValue. Reimplemented from vtkLookupTable.

void vtkWindowLevelLookupTable::SetWindow | ( | float | window | ) | `[inline]`

| Set the window for the lookup table. The window is the difference between TableRange[0] and TableRange[1]. Definition at line 69 of file vtkWindowLevelLookupTable.h. References vtkLookupTable::SetTableRange().

virtual float vtkWindowLevelLookupTable::GetWindow | ( |  | ) | `[virtual]`

| Set the window for the lookup table. The window is the difference between TableRange[0] and TableRange[1].

void vtkWindowLevelLookupTable::SetLevel | ( | float | level | ) | `[inline]`

| Set the Level for the lookup table. The level is the average of TableRange[0] and TableRange[1]. Definition at line 80 of file vtkWindowLevelLookupTable.h. References vtkLookupTable::SetTableRange().

virtual float vtkWindowLevelLookupTable::GetLevel | ( |  | ) | `[virtual]`

| Set the Level for the lookup table. The level is the average of TableRange[0] and TableRange[1].

void vtkWindowLevelLookupTable::SetInverseVideo | ( | int | iv | ) |

| Set inverse video on or off. You can achieve the same effect by switching the MinimumTableValue and the MaximumTableValue.

virtual int vtkWindowLevelLookupTable::GetInverseVideo | ( |  | ) | `[virtual]`

| Set inverse video on or off. You can achieve the same effect by switching the MinimumTableValue and the MaximumTableValue.

virtual void vtkWindowLevelLookupTable::InverseVideoOn | ( |  | ) | `[virtual]`

| Set inverse video on or off. You can achieve the same effect by switching the MinimumTableValue and the MaximumTableValue.

virtual void vtkWindowLevelLookupTable::InverseVideoOff | ( |  | ) | `[virtual]`

| Set inverse video on or off. You can achieve the same effect by switching the MinimumTableValue and the MaximumTableValue.

virtual void vtkWindowLevelLookupTable::SetMinimumTableValue | ( | float | ,
|  | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set the minimum table value. All lookup table entries below the start of the ramp will be set to this color. After you change this value, you must re-build the lookup table.

virtual void vtkWindowLevelLookupTable::SetMinimumTableValue | ( | float | [4] | ) | `[virtual]`

| Set the minimum table value. All lookup table entries below the start of the ramp will be set to this color. After you change this value, you must re-build the lookup table.

virtual float* vtkWindowLevelLookupTable::GetMinimumTableValue | ( |  | ) | `[virtual]`

| Set the minimum table value. All lookup table entries below the start of the ramp will be set to this color. After you change this value, you must re-build the lookup table.

virtual void vtkWindowLevelLookupTable::GetMinimumTableValue | ( | float & | ,
|  | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set the minimum table value. All lookup table entries below the start of the ramp will be set to this color. After you change this value, you must re-build the lookup table.

virtual void vtkWindowLevelLookupTable::GetMinimumTableValue | ( | float | [4] | ) | `[virtual]`

| Set the minimum table value. All lookup table entries below the start of the ramp will be set to this color. After you change this value, you must re-build the lookup table.

virtual void vtkWindowLevelLookupTable::SetMaximumTableValue | ( | float | ,
|  | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set the maximum table value. All lookup table entries above the end of the ramp will be set to this color. After you change this value, you must re-build the lookup table.

virtual void vtkWindowLevelLookupTable::SetMaximumTableValue | ( | float | [4] | ) | `[virtual]`

| Set the maximum table value. All lookup table entries above the end of the ramp will be set to this color. After you change this value, you must re-build the lookup table.

virtual float* vtkWindowLevelLookupTable::GetMaximumTableValue | ( |  | ) | `[virtual]`

| Set the maximum table value. All lookup table entries above the end of the ramp will be set to this color. After you change this value, you must re-build the lookup table.

virtual void vtkWindowLevelLookupTable::GetMaximumTableValue | ( | float & | ,
|  | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set the maximum table value. All lookup table entries above the end of the ramp will be set to this color. After you change this value, you must re-build the lookup table.

virtual void vtkWindowLevelLookupTable::GetMaximumTableValue | ( | float | [4] | ) | `[virtual]`

| Set the maximum table value. All lookup table entries above the end of the ramp will be set to this color. After you change this value, you must re-build the lookup table.

void vtkWindowLevelLookupTable::SetMinimumColor | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) | `[inline]`

| For backwards compatibility: specify the color using integers in the range [0,255]. Deprecated: use SetMinimumTableValue() instead. Definition at line 114 of file vtkWindowLevelLookupTable.h.

void vtkWindowLevelLookupTable::SetMinimumColor | ( | const unsigned char | rgba[4] | ) | `[inline]`

| For backwards compatibility: specify the color using integers in the range [0,255]. Deprecated: use SetMinimumTableValue() instead. Definition at line 116 of file vtkWindowLevelLookupTable.h.

void vtkWindowLevelLookupTable::GetMinimumColor | ( | unsigned char | rgba[4] | ) | `[inline]`

| For backwards compatibility: specify the color using integers in the range [0,255]. Deprecated: use SetMinimumTableValue() instead. Definition at line 118 of file vtkWindowLevelLookupTable.h.

unsigned char* vtkWindowLevelLookupTable::GetMinimumColor | ( |  | ) | `[inline]`

| For backwards compatibility: specify the color using integers in the range [0,255]. Deprecated: use SetMinimumTableValue() instead. Definition at line 123 of file vtkWindowLevelLookupTable.h.

void vtkWindowLevelLookupTable::SetMaximumColor | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) | `[inline]`

| For backwards compatibility: specify the color using integers in the range [0,255]. Deprecated: use SetMaximumTableValue() instead. Definition at line 131 of file vtkWindowLevelLookupTable.h.

void vtkWindowLevelLookupTable::SetMaximumColor | ( | const unsigned char | rgba[4] | ) | `[inline]`

| For backwards compatibility: specify the color using integers in the range [0,255]. Deprecated: use SetMaximumTableValue() instead. Definition at line 133 of file vtkWindowLevelLookupTable.h.

void vtkWindowLevelLookupTable::GetMaximumColor | ( | unsigned char | rgba[4] | ) | `[inline]`

| For backwards compatibility: specify the color using integers in the range [0,255]. Deprecated: use SetMaximumTableValue() instead. Definition at line 135 of file vtkWindowLevelLookupTable.h.

unsigned char* vtkWindowLevelLookupTable::GetMaximumColor | ( |  | ) | `[inline]`

| For backwards compatibility: specify the color using integers in the range [0,255]. Deprecated: use SetMaximumTableValue() instead. Definition at line 140 of file vtkWindowLevelLookupTable.h.

## Member Data Documentation

float vtkWindowLevelLookupTable::Window`[protected]`

| Definition at line 149 of file vtkWindowLevelLookupTable.h.

float vtkWindowLevelLookupTable::Level`[protected]`

| Definition at line 150 of file vtkWindowLevelLookupTable.h.

int vtkWindowLevelLookupTable::InverseVideo`[protected]`

| Definition at line 151 of file vtkWindowLevelLookupTable.h.

float vtkWindowLevelLookupTable::MaximumTableValue[4]`[protected]`

| Definition at line 152 of file vtkWindowLevelLookupTable.h.

float vtkWindowLevelLookupTable::MinimumTableValue[4]`[protected]`

| Definition at line 153 of file vtkWindowLevelLookupTable.h.

unsigned char vtkWindowLevelLookupTable::MinimumColor[4]`[protected]`

| Definition at line 154 of file vtkWindowLevelLookupTable.h.

unsigned char vtkWindowLevelLookupTable::MaximumColor[4]`[protected]`

| Definition at line 155 of file vtkWindowLevelLookupTable.h.

The documentation for this class was generated from the following file:

- Common/vtkWindowLevelLookupTable.h